TULISAN - Feature #3349

Report Account Balance ingin agar Saldonya update per row
01/17/2025 11:18 AM - haykal haykal

Status: Closed Start date: 01/17/2025
Priority: Normal Due date: 01/21/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Shofwan,

Untuk report Account Balance 'kan saat ini saldonya baru terhitung di bagian Saldo Akhir. Inginnya informasi saldo otomatis
terupdate per row berdasarkan transaksi Debit or Creditnya.

Jadi kalau di foto yang saya attach 'kan saat ini yg saya beri tanda biru itu isinya 0, inginnya bisa tiap baris ingin terupdate nilai
saldonya berdasarkan transaksi Debit or Credit yang telah dibuat.

Note: Selain Report Account Balance, Report Account Balance SL juga dibuat seperti ini ya.
Terimakasih.
Menu Path: Financial Accounting > Reporting > Account Balance & Account Balance SL

Port: https://tulisan.minovais.com/
DB: MinovaES_Tulisan_Prod (di 89)

History

#1 - 01/17/2025 11:21 AM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to hans hans

#2 - 01/17/2025 02:33 PM - Kezia Pawitra Yulianti
- Due date set to 01/20/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#3 - 01/17/2025 02:34 PM - hans hans

- File clipboard-202501171433-9gdwb.png added

- File clipboard-202501171433-yov3r.png added

- Due date deleted (01/20/2025)

- Status changed from Assigned to New

- Assignee changed from hans hans to haykal haykal

- Priority changed from Urgent to Normal

#4 - 01/17/2025 02:46 PM - Kezia Pawitra Yulianti
- Due date set to 01/21/2025
- Status changed from New to QA Test

#5 - 01/17/2025 05:44 PM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to hans hans

#6 - 01/21/2025 09:31 AM - hans hans
- File clipboard-202501210931-reuft.png added
- File clipboard-202501210931-5jim8.png added

- Assignee changed from hans hans to haykal haykal
https://tulisan.minovais.com/

Perbaikan report Accound Balance dan Account Balance SL sudah dilakukan, tolong di cek lagi mas.
Terima kasih.

- Account Balance

= Financial Accounting Logistic & Service  Dashboard  System Administration Search Q. Help ... bintar ~
/f[ J €7 03/03/2024 00000052  Pembayaran dimuka untuk produksi ke vendor Rp 0.00 30,000,000.00 112,950,000.00
11/03/2024 00000056  pencatatan penerimaan uang diskon dari vendor produksi Rp 7,500,000.00 0.00 120,450,000.00
13/03/2024 00000057  penjualan barang customer 1 Rp 3,182,000.00 0.00 123,632,000.00
13/03/2024 00000058  penjualan barang customer 2 Rp 3,186,000.00 0.00 126,828,000.00
Benstlbrocess 17/03/2024  00O00065  Penjualan barang customer 3 1 1,588,000.00 0.00 128 426,000.00
Master Data Accounting 17/03/2024 00000066  Penjualan barang customer 4 Rp 496,000.00 0.00 128,922,000.00
General Ledger 17/03/2024 00000057  Penjualan barang customer 5 Rp 616,000.00 0.00 128,538,000.00
Account Recehvable 18/03/2024 00000068  Penjualan barang customer 6 Rp 1,798,000.00 0.00 131,336,000.00
R T 18/03/2024 00000069  Penjualan barang customer 7 Rp 3,186,000.00 0.00 134,532,000.00
18/03/2024 00000071  pembayaran internet Rp 0.00 500,000.00 134,032,000.00
25/12/2024 00000118  testA Rp 250,000.00 0.00 134,282,000.00
Jurnal Voucher 12/12/2024 00000121  test transaksi Rp 0.00 200,000.00 134,082,000.00
Jurnal Recap 18/12/2024 00000123  Test OP Rp 0.00 400,000.00 133,682,000.00
Saldo Akhir 413,832,000.00  280,150,000.00 133,682,000.00

Account Balance New
1-1012101 - BCA - 6220473480

Account Balance SL " .
rosncome retmmer | omiiems —————comamaren | > | | oo
0.00 0.00

PPN Detail Keluaran

Saldo Awal 0.00
PPN Detail Masukan Saldo Akhir 0.00 0.00 0.00
PPN Recap
Trial Balance ! '
- Account Balance SL
=  Financial Accounting Logistic & Service  Dashboard  System Administration Search Q. Help bintar ~
- opuspoue A I A AR R R o NPTV B T R
2 e r 7 proyek

25/02/2024 00000041  Penerimaan pendapatan dari klien atas konsultasi jasa Rp 25,000,000.00 0.00 150,700,000.00

26/02/2024 00000042 b pelunasan belian perangkat lunak Rp 0.00 20,000,000.00 170,700,000.00

02/03/2024 00000051  Pembelian persediaan bahan baku Rp 0.00 27,750,000.00 142,950,000.00
General Process 03/03/2024 00000052  Pembayaran dimuka untuk produksi ke vendor Rp 0.00 30,000,000.00 112,950,000.00
Master Data Accounting 11/03/2024 00000056  pencatatan penerimaan uang diskon dari vendor Rp 7,500,000.00 0.00 120,450,000.00

duk

General Ledger procukst

13/03/2024 00000057  penjualan barang customer 1 Rp 3,182,000.00 0.00 123,632,000.00
Account Receivable

13/03/2024 00000058  penjualan barang customer 2 Rp 3,196,000.00 0.00 126,828,000.00
Acoount Payabla 17/03/2024 00000065  Penjualan barang customer 3 Rp 1,598,000.00 0.00 128,426,000.00

17/03/2024 00000066  Penjualan barang customer 4 Rp 4586,000.00 0.00 128,522,000.00
Jurnal Voucher 17/03/2024 00000067  Penjualan barang customer 5 Rp 616,000.00 0.00 129,538,000.00

18/03/2024 00000068  Penjualan barang customer & Rp 1,798,000.00 0.00 131,336,000.00
Jurnal Recap

18/03/2024 00000069  Penjualan barang customer 7 Rp 3,196,000.00 0.00 134,532,000.00
Account Balance

18/03/2024 00000071  pembayaran internet Rp 0.00 500,000.00 134,032,000.00
Acgount Balangn New 12/12/2024 00000121  test transaksi Rp 0.00 200,000.00 133,832,000.00

18/12/2024 00000123 TestOPF Rp 0.00 400,000.00 133,432,000.00
PPN Detail Keluaran 25/12/2024 00000118  testA Rp 250,000.00 0.00 133,682,000.00
PPN Detail Masukan saldo Akhir 413,832,000.00  280,150,000.00 133,682,000.00

PPN Recap

Trial Balance

Update:
RDL: PRPTFIBUKUBESARTS & PRPTFIBUKUBESAR
SP: PRPTFIBUKUBESARTS & PRPTFIBUKUBESAR

#7 - 01/21/2025 11:15 AM - haykal haykal

- Assignee changed from haykal haykal to hans hans

Dear Hans,

Harusnya Saldo Awal bulan berjalan itu = Saldo Akhir bulan sebelumnya

Jadi misalkan saya memfilter period February, maka Saldo Awalnya harus sama dengan Saldo Akhir January.

Contoh misalnya saya memfilter period January, untuk GL Account 1-1012 (Bank Mandiri 128) itu Saldo Akhirnya 179.450.000. Harusnya ketika saya
memfilter period February, Saldo Awal untk GLAccount 1-1012 adalah 179.450.000. Untuk saat ini saya lihat nilainya masih 0.

Tolong diperbaiki ya Hans.

Terimakasih.

#8 - 01/24/2025 02:58 PM - haykal haykal
Hans, sorry ada catatan untk Report Account Balance yg lupa gw bilang.

Jadi 'kan yang udh lu buat kalau dia Debit nilai saldonya bertambah, dan kalau dia Credit nilai saldonya berkurang.

Sudah benar seperti itu, tapi itu tidak untuk semua GLAccount. GLAccount yang penghitungannya seperti itu adalah sebagai berikut:
-Untuk yg Account Type BS, hanya yg Account Sub Type AS

-Untuk yg Account Type PL, hanya yg Account Sub Type EX

(referensinya bisa dilihat di tabel PCMFILOCOAGL)

Sementara sebaliknya, untk yg nilai Debit mengurangi dan nilai Credit menambah adalah untuk GLAccount-GLAccount sebagai berikut:
-Untuk yg Account Type BS, hanya yg Account Sub Type LI

-Untuk yg Account Type PL, hanya yg Account Sub Type IN

Logic perhitungan seperti itu yg sudah benar bisa dilihat referensinya dari report Account Balance di port https://demo-retail.minovais.com/

Terimakasih.

#9 - 01/24/2025 05:47 PM - hans hans

- Assignee changed from hans hans to haykal haykal

Dear mas Haykal,

untuk report pada Account balance dan Account Balance SL sudah diperbaiki, mohon di cek lagi mas.
Terima kasih

Update:
- RDL: PRPTFIBUKUBESARTS & PRPTFIBUKUBESAR
- SP: PRPTFIBUKUBESARTS & PRPTFIBUKUBESAR

#10 - 01/28/2025 01:47 PM - Kezia Pawitra Yulianti

- Status changed from Revise to QA Test

#11 - 02/05/2025 11:11 AM - haykal haykal
- Status changed from QA Test to Closed

Files

Account Balance Saldo.PNG 35.1 KB 01/17/2025 haykal haykal
clipboard-202501171433-9gdwb.png 21.8 KB 01/17/2025 hans hans
clipboard-202501171433-yov3r.png 12.6 KB 01/17/2025 hans hans
clipboard-202501210931-reuft.png 102 KB 01/21/2025 hans hans
clipboard-202501210931-5jim8.png 97.3 KB 01/21/2025 hans hans
